net.i2p.BOB

## Class TCPlistener

- java.lang.Object
- - net.i2p.BOB.TCPlistener

- All Implemented Interfaces:
    Runnable

      public class TCPlistener
      extends Object
      implements Runnable

  Listen on TCP port and connect to I2P
  Author:
    sponge

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `I2PServerSocket` | `serverSocket`
    `I2PSocketManager` | `socketManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TCPlistener(ServerSocket listener, I2PSocketManager S, NamedDB info, NamedDB database, Log _log, AtomicBoolean lives)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` Simply listen on TCP port, and thread connections

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### socketManager

          public I2PSocketManager socketManager

    - #### serverSocket

          public I2PServerSocket serverSocket

  - ### Constructor Detail

    - #### TCPlistener

          TCPlistener(ServerSocket listener,
                     I2PSocketManager S,
                     NamedDB info,
                     NamedDB database,
                     Log _log,
                     AtomicBoolean lives)

      Constructor
      Parameters:
        `S` -
        `info` -
        `database` -
        `_log` -

  - ### Method Detail

    - #### run

          public void run()

      Simply listen on TCP port, and thread connections
      Specified by:
        `run` in interface `Runnable`